Bug 351431 - Kernel Module Issues with new ATI/AMD Driver
Summary: Kernel Module Issues with new ATI/AMD Driver
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati   
(Show other bugs)
Version: 7
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-24 22:29 UTC by Brad Longo
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-25 07:24:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brad Longo 2007-10-24 22:29:57 UTC
Description of problem:
I am using a Lenovo T60 Thinkpad with an ATI Technologies Inc M52 [Mobility
Radeon X1300] graphics card.  When I enable desktop effects or beryl as my
screen manager the screen turns white.  

Version-Release number of selected component (if applicable):
AMD/ATI Display Driver v8.42.3


How reproducible:
Every time.

Steps to Reproduce:
1. Enable Desktop Effects OR enable beryl/compiz
2.
3.
  
Actual results:
Screen Turns white.

Expected results:
I should get desktop effects.

Additional info:
This is from dmesg...

[fglrx] PCIe has already been initialized. Reinitializing ...
[fglrx:firegl_unlock] *ERROR* Process 3233 using kernel context 0
mtrr: no more MTRRs available
mtrr: no more MTRRs available
[fglrx] PCIe has already been initialized. Reinitializing ...
[fglrx:firegl_unlock] *ERROR* Process 3547 using kernel context 0
mtrr: no more MTRRs available
mtrr: no more MTRRs available
[fglrx] PCIe has already been initialized. Reinitializing ...
[fglrx:firegl_unlock] *ERROR* Process 3919 using kernel context 0
mtrr: no more MTRRs available
mtrr: no more MTRRs available

Here is the output from cat /var/log/Xorg.0.log | grep EE...

(II) Loading extension MIT-SCREEN-SAVER
(EE) fglrx(0): incompatible kernel module detected - HW accelerated OpenGL will
not work
(EE) AIGLX: Screen 0 is not DRI capable

Comment 1 Till Maas 2007-10-25 07:11:27 UTC
The ati driver is in the package xorg-x11-drv-ati, therefore I changed the
component of this bug.

Comment 2 Dave Airlie 2007-10-25 07:24:42 UTC
no its not this is an fglrx bug so please talk to AMD.


Note You need to log in before you can comment on or make changes to this bug.